Bug 3302 - undefined symbol in sasl.c
undefined symbol in sasl.c
Status: RESOLVED FIXED
Product: Samba 3.0
Classification: Unclassified
Component: Build environment
3.0.21
Sparc Solaris
: P3 major
: none
Assigned To: Tim Potter
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2005-12-06 09:23 UTC by Tom Schulz
Modified: 2006-11-22 10:50 UTC (History)
1 user (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Tom Schulz 2005-12-06 09:23:19 UTC
Trying to build samba-3.0.31rc2 on Solaris 8 sparc using Sun's Forte Developer
7 C 5.4.  I get the following error:

Compiling libads/sasl.c
"libads/sasl.c", line 81: undefined symbol: LDAP_SASL_BIND_IN_PROGRESS
"libads/sasl.c", line 104: undefined symbol: LDAP_SASL_BIND_IN_PROGRESS
"libads/sasl.c", line 129: undefined symbol: LDAP_SASL_BIND_IN_PROGRESS
"libads/sasl.c", line 137: cannot recover from previous errors
cc: acomp failed for libads/sasl.c
*** Error code 2
Comment 1 Tom Schulz 2005-12-06 15:07:34 UTC
A little more info.  When I run configure, it says near the end:

Using libraries:
    LIBS = -lsendfile -lresolv -lnsl -lsocket -ldl 
    LDAP_LIBS = -lldap 
    AUTH_LIBS = 

When I configure RC1, I get instead:

Using libraries:
    LIBS = -lsendfile -lresolv -lnsl -lsocket -ldl 
    AUTH_LIBS = 

And above that I see:

configure: WARNING: libldap is needed for LDAP support

I am going to force a configure without ldap and see what happens.
Note that RC1 does build ok.
Comment 2 Tom Schulz 2005-12-07 09:29:58 UTC
If I configure with '--without-ldap' it builds ok.  It doesn't seem to work,
but that will be another bug.
Note that Solaris 8 does have a libldap.so in /usr/lib and a ldap.h in
/usr/include, so configure may have been correct in trying to build with
-lldap.  It seems that the configure form earlier versions did not try
to use ldap however.
Comment 3 Tom Schulz 2006-03-09 14:04:49 UTC
This problem still exists in samba-3.0.21c.
Comment 4 Volker Lendecke 2006-03-09 14:07:00 UTC
In the current 3_0 svn tree there have been fixes for this. Can you check that out and try to compile?

Thanks,

Volker
Comment 5 Tom Schulz 2006-03-09 16:10:45 UTC
It looks like I would have to get and install svn to do that.  Maybe next
week if I can make the time for that.  Is there a bug with a patch that I
could apply instead?  If I get svn, would I get trunk or something else?
Comment 6 Lars Müller 2006-03-10 05:25:06 UTC
Please test with SAMBA_3_0.  See http://samba.org/samba/devel/ for some documentation how to use it.
Comment 7 Tom Schulz 2006-03-30 15:17:49 UTC
I finally got subversion and autoconf and was able to get and build the
samba_3_0 tree.  libads/sasl.c now builds without complaint.  I expect that
this can now be closed or marked as a duplicate or some such.
Comment 8 Tom Schulz 2006-11-22 10:50:22 UTC
Fixed sometime after 3.0.21c.